//---------------------------------------------------------------------------

#include <vcl.h>
#include <windows.h>
#pragma hdrstop
//---------------------------------------------------------------------------
//   Important note about DLL memory management when your DLL uses the
//   static version of the RunTime Library:
//
//   If your DLL exports any functions that pass String objects (or structs/
//   classes containing nested Strings) as parameter or function results,
//   you will need to add the library MEMMGR.LIB to both the DLL project and
//   any other projects that use the DLL.  You will also need to use MEMMGR.LIB
//   if any other projects which use the DLL will be performing new or delete
//   operations on any non-TObject-derived classes which are exported from the
//   DLL. Adding MEMMGR.LIB to your project will change the DLL and its calling
//   EXE's to use the BORLNDMM.DLL as their memory manager.  In these cases,
//   the file BORLNDMM.DLL should be deployed along with your DLL.
//
//   To avoid using BORLNDMM.DLL, pass string information using "char *" or
//   ShortString parameters.
//
//   If your DLL uses the dynamic version of the RTL, you do not need to
//   explicitly add MEMMGR.LIB as this will be done implicitly for you
//---------------------------------------------------------------------------

#pragma argsused
BOOL WINAPI DllMain(HINSTANCE hinstDLL, DWORD fwdreason, LPVOID lpvReserved)
{
	switch(fwdreason)
	{
		case DLL_PROCESS_ATTACH:
				{
					if(lpvReserved) MessageBox(Application->Handle,"Process has attached to DLL (Static load)","DLL notify",MB_OK);
					else MessageBox(Application->Handle,"Process has attached to DLL (Dynamic load)", "DLL notify" ,MB_OK);
					break;
				}
		case DLL_THREAD_ATTACH:
				{
					MessageBox(Application->Handle,"Thread has attached to DLL", "DLL notify",MB_OK);
					break;
				}
		case DLL_THREAD_DETACH:
				{
					MessageBox(Application->Handle,"Thread has detached to DLL","DLL notify", MB_OK);
					break;
				}
		case DLL_PROCESS_DETACH:
				{
					MessageBox(Application->Handle,"Process has detached to DLL", "DLL notify",MB_OK);
					break;
				}
	}
	return 1;
}
//---------------------------------------------------------------------------
extern "C" __declspec(dllexport) void MBox(char *Str, char *Cap)
{
	MessageBox(Application->Handle,Str,Cap,MB_OK);
}
//---------------------------------------------------------------------------
 